<?php

//agregar cliente si no esta
//echo 'cliente1: '.$cli_pro;
//echo 'cliente2: '.$codigo;
$result = mysqli_query($GLOBALS['con'] ,"select * from dxbascpt where codigo = '$codigo'");
$num_salidas=mysqli_num_rows($result); 
if($num_salidas==0){
	@$ope = mysqli_query($GLOBALS['con'] ,"insert into dxbascpt (codigo, acc_fec, acc_hor, usuario) values ('$cli_pro', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
	//echo "si entro";
}
if ($tm1 == "A"){
	$sql = "SELECT * FROM dvcobdoc WHERE fol_cob = '$fol_cob' and codigo = '$codigo' and num_doc= '$num_doc'";
	$result = mysqli_query($GLOBALS['con'] ,$sql);
	$num_salidas = mysqli_num_rows($result); 
	if($num_salidas >= 1){
		echo "error";
		//exit();
	}
	$resulty = mysqli_query($GLOBALS['con'] ,"insert into dvcobdoc (tip_cob, fec_cob, fol_cob, codigo, tip_mto, fec_mov, num_doc, imp_cob, fec_ult_mccp, cve_mto, iva_cob, tot_cob, gen_pol, cta_ban, afe_con, acc_fec, acc_hor, usuario, cli_pro) values ('$tip_cob', '$fec_cob', '$fol_cob', '$codigo', '$tip_mto','$fec_mov', '$num_doc', '$imp_cob', '$fec_ult_mccp','$cve_mto', '$iva_cob', '$tot_cob', '$gen_pol','$cta_ban', '$afe_con', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."','$tip_per')");
	$num_id = mysqli_insert_id($GLOBALS['con']);
	//exit();
}elseif($tm1 == "M"){//Modificar
	$resulty = mysqli_query($GLOBALS['con'] ,"update dvcobdoc set tip_cob='$tip_cob', fec_cob='$fec_cob', fol_cob='$fol_cob', codigo='$codigo', tip_mto='$tip_mto', fec_mov='$fec_mov', num_doc='$num_doc', imp_cob='$imp_cob', fec_ult_mccp='$fec_ult_mccp', cve_mto='$cve_mto', iva_cob='$iva_cob', tot_cob='$tot_cob', gen_pol='$gen_pol', cta_ban='$cta_ban', afe_con='$afe_con',acc_fec =  '".date('Y-m-d')."', acc_hor = '".date('H:i:s')."', usuario='".$_SESSION['num_usu']."', cli_pro='$tip_per' where n_reg = '$n_reg' or fol_cob = '$fol_cob'");
}elseif($tm1 == "E"){//Modificar
	mysqli_query($GLOBALS['con'] ,"delete from dvcobdoc where n_reg = '$nnrr' or (fol_cob = '$fol_cob' and codigo = '$codigo')");
}elseif($tm1 == "C"){//Cancelar
	
}
//echo "entro5:";
//Sacar valores la suma de dvcobdoc
//-->
//echo $num_doc;
//echo '01: '.$num_doc.'<br>';
$nn = mysqli_query($GLOBALS['con'] ,"select sum(tot_cob) as totales from dvcobdoc where num_doc = '$num_doc' and codigo = '$codigo'");
//echo '001: '.$num_doc.'<br>';
$nnn = mysqli_fetch_array($nn);
//echo '1: '.$nnn['totales'].'<br>';
//<--
//fin
//---------------------------------------------------------|

//-------------------------------------------------------->
//sacar el registro que se va ha actualizar
//-->
//echo '2: '.$codigo.'<br>';
$re = mysqli_query($GLOBALS['con'] ,"select * from dvredocl where num_doc = '$num_doc' and codigo = '$codigo'");
$rr = mysqli_fetch_array($re); 
$n = mysqli_num_fields($re);
for ($j=0;$j<$n;$j++){
//	${mysqli_field_name($re, $j)} = $rr[mysqli_field_name($re, $j)];
	if (mysqli_field_name($re, $j) == "tot_pag"){
		${mysqli_field_name($re, $j)} = $nnn['totales'];
	}elseif(mysqli_field_name($re, $j) != "usuario"){
		${mysqli_field_name($re, $j)} = $rr[mysqli_field_name($re, $j)];
	}
}
$tot_pag = $nnn['totales'];
//echo '3: '.$tot_pag.'<br>';
//echo '33: '.$tot_doc.'<br>';
$tot_sal = $tot_doc - $tot_pag - $tot_not + $tot_car - $tot_abo;
//echo '4: '.$tot_sal.'<br>';
//<--
//fin
//---------------------------------------------------------|
//echo "si entro1: ". $num_doc.'<br>';
//-------------------------------------------------------->
//Mandar datos a documentos x cobrar o por pagar 
//-->
//echo 'doc:'.$num_doc .'<br>';
include("DYDOCXCP.php");
//echo 'despues:<br>';
//<--
//fin 
//---------------------------------------------------------|
//include("DYDO3XCP.php"); 
?>